Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor.pdf
Class SecurityHandlerPublicKey

    java.lang.Object
      multivalent.std.adaptor.pdf.SecurityHandler
          multivalent.std.adaptor.pdf.SecurityHandlerPublicKey

All Implemented Interfaces:
  java.lang.Cloneable

public class SecurityHandlerPublicKey
extends SecurityHandler

NOT IMPLEMENTED. Public Key encryption, as defined in Adobe's PDF Reference.

Version:
  $Revision: 1.2 $ $Date: 2003/08/17 08:40:57 $

Field Summary

Fields inherited from class multivalent.std.adaptor.pdf.SecurityHandler
`IDENTITY`

Constructor Summary
`SecurityHandlerPublicKey(Dict edict, COSSource coss)`
`SecurityHandlerPublicKey(java.lang.StringBuffer id0, int R, int P, int Length, java.lang.String userpassword, java.lang.String ownerpassword)` Construct a Standard encryption filter with given parameters and passwords.

Method Summary
`boolean` | `authOwner(java.lang.String owner)`
`boolean` | `authUser(java.lang.String user)`
`byte[]` | `computeKey(java.lang.String password)`
`byte[]` | `decrypt(byte[] data, int off, int len)` Decrypts stream data of object objnum with generation gennum.
`byte[]` | `encrypt(byte[] data, int off, int len)` Encrypts data of object objnum with generation gennum.
`byte[]` | `getKey()` CryptFilter may take key from a security handler and use in Adobe algorithms.
`int` | `getR()` Returns version of standard security handler.
`boolean` | `isAuthorized()` Returns true if a valid decryption password, either user or owner, been set?
`SecurityHandler` | `reset(int objnum, int gennum)` Resets for decrypting/encrypting another subobject of object at given number.

Methods inherited from class multivalent.std.adaptor.pdf.SecurityHandler
`clone, getInstance, register`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityHandlerPublicKey

    public SecurityHandlerPublicKey(Dict edict,
                                    COSSource coss)
                             throws ParseException

Throws:
  `ParseException`

### SecurityHandlerPublicKey

    public SecurityHandlerPublicKey(java.lang.StringBuffer id0,
                                    int R,
                                    int P,
                                    int Length,
                                    java.lang.String userpassword,
                                    java.lang.String ownerpassword)
                             throws java.lang.UnsupportedOperationException,
                                    java.lang.IllegalArgumentException

  Construct a Standard encryption filter with given parameters and passwords. Sets key for further encryption/decryption.

  Throws:
    `java.lang.UnsupportedOperationException`
    `java.lang.IllegalArgumentException`

Method Detail

### getKey

    public byte[] getKey()

  Description copied from class: `SecurityHandler`
  CryptFilter may take key from a security handler and use in Adobe algorithms.

  Specified by:
    `getKey` in class `SecurityHandler`

### getR

    public int getR()

  Returns version of standard security handler.

### isAuthorized

    public boolean isAuthorized()

  Description copied from class: `SecurityHandler`
  Returns true if a valid decryption password, either user or owner, been set?

  Specified by:
    `isAuthorized` in class `SecurityHandler`

### encrypt

    public byte[] encrypt(byte[] data,
                          int off,
                          int len)

  Description copied from class: `SecurityHandler`
  Encrypts data of object objnum with generation gennum. Data is encrypted in place, which is to say the contents data are mutated.

  Specified by:
    `encrypt` in class `SecurityHandler`
  Returns:
    handle to encrypted data, which is same handle as the passed data.

### decrypt

    public byte[] decrypt(byte[] data,
                          int off,
                          int len)

  Description copied from class: `SecurityHandler`
  Decrypts stream data of object objnum with generation gennum. Data is decrypted in place, which is to say the contents data are mutated.

  Specified by:
    `decrypt` in class `SecurityHandler`
  Returns:
    handle to decrypted data, which is same handle as the passed data.

### reset

    public SecurityHandler reset(int objnum,
                                 int gennum)

  Description copied from class: `SecurityHandler`
  Resets for decrypting/encrypting another subobject of object at given number.

  Specified by:
    `reset` in class `SecurityHandler`

### authUser

    public boolean authUser(java.lang.String user)

  Specified by:
    `authUser` in class `SecurityHandler`

### authOwner

    public boolean authOwner(java.lang.String owner)

  Specified by:
    `authOwner` in class `SecurityHandler`

### computeKey

    public byte[] computeKey(java.lang.String password)

  Specified by:
    `computeKey` in class `SecurityHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD